Subject: bug#68607: `fill-column` doesn't always fill paragraph in text-mode

From: Konstantin Kharlamov <[email-masked]>
Date: Sat, 20 Jan 2024 14:31:27 +0300

I saw that behavior in different circumstances many times, but this
time I noticed it while working on the NEWS entry as part of #68579 and
it's an easy testcase, so I decided to report.

# Steps to reproduce

1. Create a `1.txt` file with the following text:

It is now possible to pass a directory of a local repository as URL
inside 'treesit-language-source-alist', so that calling
'treesit-install-language-grammar' would avoid cloning the
repository. It may be useful for example for the purposes of bisecting
a treesitter grammar.

2. Open it with `emacs -Q 1.txt`
3. Evaluate (setq fill-column 71)
4. Put a caret over the paragraph and press M-q (alternatively execute M-x
   fill-paragraph)

## Expected

Lines 3 and 4 will change such that the word `repository` gets moved to the 3rd line.

## Actual

Nothing happens

# Version

Emacs build from git 2 days ago: GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.39, cairo version 1.18.0) of 2024-01-18